You found a bug! We've classified it as SDKTOOLS-576 . We encourage you to continue the discussion and to find an acceptable workaround while we work on a permanent fix.
  1. #1
    Sencha User
    Join Date
    Dec 2011
    Location
    Istanbul, Turkey
    Posts
    6
    Vote Rating
    1
    ardabeyazoglu is on a distinguished road

      1  

    Default Sencha Cmd 3.1.1 - Error while building new theme

    Sencha Cmd 3.1.1 - Error while building new theme


    When i try to build a red neptune-theme as mentioned in the docs, i got the following error on ubuntu 12.10 64bit, using senchacmd 3.1.1.274, extjs 4.2.

    > sencha package build


    [ERR] BUILD FAILED
    [ERR] com.sencha.exceptions.ExArg: Unknown command: "include"
    [ERR]
    [ERR] Total time: 2 seconds
    [ERR]
    [ERR] BUILD FAILED
    [ERR] com.sencha.exceptions.BasicException: com.sencha.exceptions.ExArg: Unknown command: "include"
    [ERR]
    [ERR] Total time: 4 seconds
    [ERR] com.sencha.exceptions.BasicException: com.sencha.exceptions.ExArg: Unknown command: "include"

    All i did is, generating a new workspace and new theme extends ext-neptune.

  2. #2
    Sencha - Senior Forum Manager mitchellsimoens's Avatar
    Join Date
    Mar 2007
    Location
    Gainesville, FL
    Posts
    37,404
    Vote Rating
    849
    mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute

      0  

    Default


    I followed this guide: http://docs.sencha.com/extjs/4.2.0/#!/guide/theming

    and it worked for me using Ext JS 4.2.0.663 and Cmd 3.1.1.274
    Mitchell Simoens @SenchaMitch
    Sencha Inc, Senior Forum Manager
    ________________
    Check out my GitHub, lots of nice things for Ext JS 4 and Sencha Touch 2
    https://github.com/mitchellsimoens

    Think my support is good? Get more personalized support via a support subscription. https://www.sencha.com/store/

    Need more help with your app? Hire Sencha Services services@sencha.com

    Want to learn Sencha Touch 2? Check out Sencha Touch in Action that is in print!

    When posting code, please use BBCode's CODE tags.

  3. #3
    Sencha User
    Join Date
    Jan 2012
    Location
    Izmir, Turkey
    Posts
    2
    Vote Rating
    2
    ahincalan is on a distinguished road

      1  

    Default I'm having the same problem

    I'm having the same problem


    commandline: sencha -sdk ext generate app ThemeDemoApp theme-demo-app

    after the command fails !!

    Error Report:

    Sencha Cmd v3.1.1.274
    [INF]
    [INF] init-plugin:
    [INF]
    [INF] init-plugin:
    [INF]
    [INF] -before-generate-app:
    [INF]
    [INF] cmd-root-plugin.init-properties:
    [INF]
    [INF] init-properties:
    [INF]
    [INF] init-sencha-command:
    [INF]
    [INF] init:
    [INF]
    [INF] -before-generate-app:
    [INF]
    [INF] generate-app-impl:
    [INF]
    [INF] generate-starter-app:
    [INF] [echo] Updating app/app.js mvc references
    [INF] [echo] Detected models :
    [INF] [echo] Detected views : Main,Viewport
    [INF] [echo] Detected controllers : Main
    [INF] [echo] Detected stores :
    [INF] [propertyfile] Updating property file: C:\my-workspace\theme-demo-app\.sen
    cha\app\sencha.cfg
    [INF] Including theme package ext-theme-classic for app.theme=ext-theme-classic
    build
    [INF]
    [INF] init-plugin:
    [INF]
    [INF] init-plugin:
    [INF]
    [INF] -before-app-refresh:
    [INF]
    [INF] cmd-root-plugin.init-properties:
    [INF]
    [INF] init-properties:
    [INF]
    [INF] init-sencha-command:
    [INF]
    [INF] init:
    [INF]
    [INF] -before-app-refresh:
    [INF]
    [INF] app-refresh-impl:
    [INF] Including theme package ext-theme-classic for app.theme=ext-theme-classic
    build
    [INF] Loading classpath entry C:\my-workspace\ext\src
    [INF] Loading classpath entry C:\my-workspace\packages\ext-theme-base\overrides
    [INF] Loading classpath entry C:\my-workspace\packages\ext-theme-base\src
    [INF] Loading classpath entry C:\my-workspace\packages\ext-theme-neutral\overrid
    es
    [INF] Loading classpath entry C:\my-workspace\packages\ext-theme-neutral\src
    [INF] Loading classpath entry C:\my-workspace\packages\ext-theme-classic\overrid
    es
    [INF] Loading classpath entry C:\my-workspace\packages\ext-theme-classic\src
    [INF] Loading classpath entry C:\my-workspace\theme-demo-app\app
    [INF] Appending concatenated output to file C:\my-workspace\theme-demo-app\boots
    trap.js
    [ERR]
    [ERR] BUILD FAILED
    [ERR] com.sencha.exceptions.ExArg: Unknown command: "include"
    [ERR]
    [ERR] Total time: 10 seconds
    [ERR]
    [ERR] BUILD FAILED
    [ERR] com.sencha.exceptions.BasicException: com.sencha.exceptions.ExArg: Unknown
    command: "include"
    [ERR]
    [ERR] Total time: 13 seconds
    [ERR] com.sencha.exceptions.BasicException: com.sencha.exceptions.ExArg: Unknown
    command: "include"

    where is the problem ???

  4. #4
    Sencha User
    Join Date
    Dec 2011
    Location
    Istanbul, Turkey
    Posts
    6
    Vote Rating
    1
    ardabeyazoglu is on a distinguished road

      0  

    Default


    In which os do you get this error ? If it's linux too, maybe it's a linux based bug, or a buggy rubygem version...
    My ruby version is 1.9.3p194 and sass is 3.2.7, java 1.7

  5. #5
    Sencha User
    Join Date
    Jan 2012
    Location
    Izmir, Turkey
    Posts
    2
    Vote Rating
    2
    ahincalan is on a distinguished road

      1  

    Default


    I tried to configure:

    Os: win7-32
    Ruby version: 1.9.2p290
    Sass version: 3.1.1
    jdk version : 1.6
    compass version: 0.11.1

  6. #6
    Sencha User
    Join Date
    Dec 2011
    Location
    Istanbul, Turkey
    Posts
    6
    Vote Rating
    1
    ardabeyazoglu is on a distinguished road

      0  

    Default


    I got the same error on windows 8 64bit. Maybe it's about the cmd version. Is there anyone from sencha who knows about this error or bug ?

  7. #7
    Sencha User
    Join Date
    Dec 2011
    Location
    Istanbul, Turkey
    Posts
    6
    Vote Rating
    1
    ardabeyazoglu is on a distinguished road

      0  

    Default


    Quote Originally Posted by mitchellsimoens View Post
    I followed this guide: http://docs.sencha.com/extjs/4.2.0/#!/guide/theming

    and it worked for me using Ext JS 4.2.0.663 and Cmd 3.1.1.274
    I think, there is a bug causes error while building 'only' a theme. In the tutorial, an app with a new theme is created and that is automatically built. However, i dont want to use a specific app, to create just another theme for use in my new apps.

  8. #8
    Sencha User
    Join Date
    May 2011
    Location
    Melbourne, Australia
    Posts
    89
    Vote Rating
    7
    Greg Arnott is on a distinguished road

      0  

    Default


    I had builds failing over the weekend. Found out Sencha Cmd 3.1.1 uses its own extension for Compass, not the system install, yet uses the system install of Ruby - in which it was incompatible. Rolled Ruby 2.0.0 back to 1.9.3 - and everything was fine after that.

    Edit: Ruby 1.9.3-p392***

  9. #9
    Sencha User
    Join Date
    Dec 2011
    Location
    Istanbul, Turkey
    Posts
    6
    Vote Rating
    1
    ardabeyazoglu is on a distinguished road

      0  

    Default


    I've installed the Ruby 1.9.3-p392 and tested again. Same problem exists. I couldn't build the theme in neither windows nor linux. Always the same error while building anything:

    BUILD FAILED
    [ERR] com.sencha.exceptions.ExArg: Unknown command: "include"

  10. #10
    Sencha User
    Join Date
    Oct 2010
    Posts
    4
    Vote Rating
    0
    eray is on a distinguished road

      0  

    Default


    I ve a new MacBook Pro
    When i execute this command

    $ sencha -sdk ext generate app ThemeDemoApp theme-demo-app

    I got same error.

    INF] Appending concatenated output to file /Users/erayh/develop/pntTheme/theme-demo-app/bootstrap.js
    [ERR]
    [ERR] BUILD FAILED
    [ERR] com.sencha.exceptions.ExArg: Unknown command: "include"
    [ERR]
    [ERR] Total time: 2 seconds
    [ERR]
    [ERR] BUILD FAILED
    [ERR] com.sencha.exceptions.BasicException: com.sencha.exceptions.ExArg: Unknown command: "include"
    [ERR]
    [ERR] Total time: 4 seconds
    [ERR] com.sencha.exceptions.BasicException: com.sencha.exceptions.ExArg: Unknown command: "include"

    OSX 1.8.4
    Ruby 1.9.3p448 (2013-06-27 revision 41675) [x86_64-darwin12.4.0]

    $ echo $PATH
    /Users/erayh/bin/Sencha/Cmd/3.1.2.342:/Users/erayh/.rvm/gems/ruby-1.9.3-p448/bin: .......